View Issue Details

IDProjectCategoryView StatusLast Update
0000752SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000752: Null pointer during trigger inactivation of deleted table can cause SymmetricDS engine not to start
DescriptionDropped a trigger in my source db so that I could rename a table. So I dropped the sym_trigger row. I renamed my table in my source and target dbs and then created a new trigger using the the new table name.

I got this error in the log:
2012-08-07 09:13:13,595 ERROR [source1-powerdataprod] [RouterService] [source1-powerdataprod-job-20]
java.lang.NullPointerException
at org.jumpmind.symmetric.service.impl.TriggerRouterService.getTablesForTrigger(TriggerRouterService.java:887)
at org.jumpmind.symmetric.service.impl.TriggerRouterService.inactivateTriggers(TriggerRouterService.java:806)
at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:770)
at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:745)
at org.jumpmind.symmetric.route.ConfigurationChangedDataRouter.contextCommitted(ConfigurationChangedDataRouter.java:288)
at org.jumpmind.symmetric.service.impl.RouterService.completeBatchesAndCommit(RouterService.java:342)
at org.jumpmind.symmetric.service.impl.RouterService.routeDataForChannel(RouterService.java:291)
at org.jumpmind.symmetric.service.impl.RouterService.routeDataForEachChannel(RouterService.java:209)
at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:146)
at org.jumpmind.symmetric.job.RouterJob.doJob(RouterJob.java:41)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 959a1f10

2012-08-07 13:17:45

chenson

Details Diff
0000752: Null pointer during trigger inactivation of deleted table can cause SymmetricDS engine not to start
0000752
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2012-08-07 13:16 chenson New Issue
2012-08-07 13:16 chenson Status new => assigned
2012-08-07 13:16 chenson Assigned To => chenson
2012-08-07 13:16 chenson Status assigned => resolved
2012-08-07 13:16 chenson Fixed in Version => 3.1.0
2012-08-07 13:16 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6139
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 959a1f10